org.eclipse.jdt.debug.ui.launchConfigurations

## Class JavaConnectTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
    - - org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab
      - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaConnectTab

All Implemented Interfaces:
  EventListener, ILaunchConfigurationTab, ILaunchConfigurationTab2, IPropertyChangeListener

    public class JavaConnectTab
    extends org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab
    implements IPropertyChangeListener

A launch configuration tab that displays and edits the project associated with a remote connection and the connector used to connect to a remote VM.

This class may be instantiated.

Since:
  2.0
Restriction:
  This class is not intended to be sub-classed by clients.

### Field Summary

### Fields inherited from class org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab

`EMPTY_STRING, fProjText`

### Constructor Summary

Constructors
Constructor and Description
`JavaConnectTab()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(Composite parent)`
`String` `getId()`
`Image` `getImage()`
`String` `getName()`
`void` `initializeFrom(ILaunchConfiguration config)`
`boolean` `isValid(ILaunchConfiguration config)`
`void` `performApply(ILaunchConfigurationWorkingCopy config)`
`void` `propertyChange(PropertyChangeEvent event)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy config)`

### Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab

`createProjectEditor, getDefaultListener, getJavaProject, getWorkspaceRoot, handleProjectButtonSelected, mapResources`

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

`getContext, getCurrentLaunchConfiguration, initializeJavaProject`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, dispose, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

### Constructor Detail

#### JavaConnectTab

    public JavaConnectTab()

### Method Detail

#### createControl

    public void createControl(Composite parent)

Specified by:
  `createControl` in interface `ILaunchConfigurationTab`

#### initializeFrom

    public void initializeFrom(ILaunchConfiguration config)

Specified by:
  `initializeFrom` in interface `ILaunchConfigurationTab`
Overrides:
  `initializeFrom` in class `org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab`

#### performApply

    public void performApply(ILaunchConfigurationWorkingCopy config)

Specified by:
  `performApply` in interface `ILaunchConfigurationTab`

#### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy config)

Specified by:
  `setDefaults` in interface `ILaunchConfigurationTab`

#### isValid

    public boolean isValid(ILaunchConfiguration config)

Specified by:
  `isValid` in interface `ILaunchConfigurationTab`
Overrides:
  `isValid` in class `AbstractLaunchConfigurationTab`

#### getName

    public String getName()

Specified by:
  `getName` in interface `ILaunchConfigurationTab`

#### getImage

    public Image getImage()

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `AbstractLaunchConfigurationTab`

#### getId

    public String getId()

Overrides:
  `getId` in class `AbstractLaunchConfigurationTab`
Since:
  3.3
See Also:
  `AbstractLaunchConfigurationTab.getId()`

#### propertyChange

    public void propertyChange(PropertyChangeEvent event)

Specified by:
  `propertyChange` in interface `IPropertyChangeListener`